Summary:	Utilities for SAS Management Protocol (SMP)
Summary(pl.UTF-8):	Narzędzia do protokołu SAS Management Protocol (SMP)
Name:		smp_utils
Version:	0.99
Release:	1
License:	BSD
Group:		Applications/System
Source0:	http://sg.danny.cz/sg/p/%{name}-%{version}.tar.xz
# Source0-md5:	04464828b24d1e0fe064c1a42c3e4515
URL:		http://sg.danny.cz/sg/smp_utils.html
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a package of utilities. Each utility sends a Serial Attached
SCSI (SAS) Management Protocol (SMP) request to a SMP target. If the
request fails then the error is decoded. If the request succeeds then
the response is either decoded, printed out in hexadecimal or output
in binary. This package supports multiple interfaces since SMP
passthroughs are not mature. This package supports the Linux 2.4 and
2.6 series and should be easy to port to other operating systems.

Warning: Some of these tools access the internals of your system and
the incorrect usage of them may render your system inoperable.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzia, z których każde wysyła żądanie Serial
Attached SCSI (SAS) Management Protocol (SMP) do urządzenia SMP. Jeśli
żądanie nie powiedzie się, błąd jest dekodowany. Jeśli żądanie
powiedzie się, odpowiedź jest dekodowana i wypisywana w postaci
szesnastkowej lub wyprowadzana binarnie. Ten pakiet obsługuje wiele
interfejsów, jako że przekazywanie SMP nie jest jeszcze dojrzałe. Ten
pakiet obsługuje Linuksa zarówno z serii 2.4 jak i 2.6 i powinien być
łatwy do sportowania na inne systemy operacyjne.

Uwaga: niektóre z narzędzi operują na wnętrznościach systemu i ich
nieprawidłowe użycie może spowodować niezdatność systemu do dalszej
pracy.

%package devel
Summary:	Header file for SMP Utils library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki SMP Utils
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for SMP Utils library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki SMP Utils.

%package static
Summary:	Static SMP Utils library
Summary(pl.UTF-8):	Statyczna biblioteka SMP Utils
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static SMP Utils library.

%description static -l pl.UTF-8
Statyczna biblioteka SMP Utils.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COVERAGE CREDITS ChangeLog README
%attr(755,root,root) %{_bindir}/smp_*
%attr(755,root,root) %{_libdir}/libsmputils1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmputils1.so.1
%{_mandir}/man8/smp_*.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libsmputils1.so
%{_libdir}/libsmputils1.la
%{_includedir}/scsi/smp_lib.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsmputils1.a
%changelog
* Sat Apr 03 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smp_utils.git;a=log;h=master

* Sat Apr 03 2021 Jakub Bogusz <qboosh@pld-linux.org> 290e948
- updated to 0.99

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> d04b284
- updated to 0.98

* Tue Jan 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 9754b93
- updated to 0.97
- removed obsolete make patch
- shared library introduced (merged into main; added appropriate -devel/-static subpackages)

* Sat Sep 10 2011 Jakub Bogusz <qboosh@pld-linux.org> a108e8d
- updated to 0.96

* Sat Nov 27 2010 Jakub Bogusz <qboosh@pld-linux.org> df0f154
- updated to 0.95
- updated make patch

* Fri Aug 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 8c38e51
- updated to 0.94

* Thu Oct 02 2008 Jakub Bogusz <qboosh@pld-linux.org> a931a63
- updated URL

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 75c4ca9
- beta comment

* Mon Jan 07 2008 Jakub Bogusz <qboosh@pld-linux.org> 3868d4e
- updated to 0.93
- updated make patch

* Mon Jan 07 2008 Jakub Bogusz <qboosh@pld-linux.org> 39381a7
- updated for 0.93

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 61bdb31
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2d06ce1
- converted to UTF-8

* Sun Dec 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 9e05097
- updated to 0.92

* Thu Aug 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 59fd225
- updated to 0.91

* Tue Jun 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 62423f4
- install as normal user, no stripping

* Tue Jun 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 1ba0171
- new

